update akuz.T_WOMENS_CONSULTATION set EstimatedConceptionDateByUSI = 
	case when FirstUSIDate is NULL 
	then LastMenstruationDate
	else 
		case when PregnancyTermWeek is null 
		then LastMenstruationDate
		else
			case when PregnancyTermDays is null
			then FirstUSIDate - PregnancyTermWeek * 7
			else FirstUSIDate - PregnancyTermWeek * 7 - PregnancyTermDays 
			end
		end
	end